aboutsummaryrefslogtreecommitdiff
path: root/docker/studip/docker-entrypoint.sh
diff options
context:
space:
mode:
authorPhilipp Schüttlöffel <schuettloeffel@zqs.uni-hannover.de>2024-09-24 10:53:31 +0200
committerPhilipp Schüttlöffel <schuettloeffel@zqs.uni-hannover.de>2024-09-24 10:53:31 +0200
commit4459dd7917f4d1c34f40bb68f0e991e9c3d53e4c (patch)
tree5c07151ae61276d334e88f6309c30d439a85c12e /docker/studip/docker-entrypoint.sh
parentda0022e5c1abbf9825ae76debaabdff7e8623bb4 (diff)
parent97a188592c679890a25c37ab78463add76a52ff7 (diff)
Merge branch 'main' into issue-3911issue-3911
Diffstat (limited to 'docker/studip/docker-entrypoint.sh')
-rw-r--r--docker/studip/docker-entrypoint.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/docker/studip/docker-entrypoint.sh b/docker/studip/docker-entrypoint.sh
index bafc2fe..dde57c5 100644
--- a/docker/studip/docker-entrypoint.sh
+++ b/docker/studip/docker-entrypoint.sh
@@ -28,17 +28,22 @@ done
sh $STUDIP/.gitlab/scripts/install_db.sh
-if [ ! -z $AUTO_MIGRATE ]; then
+if [[ -n $AUTO_MIGRATE ]]; then
echo "Migrate Instance"
# If migrate fails start instance anyway
- php "$STUDIP/cli/studip migrate" || true
+ php "$STUDIP/cli/studip" migrate || true
echo "Migration finished"
fi
# first arg is `-f` or `--some-option`
if [ "${1#-}" != "$1" ]; then
- set -- apache2-foreground "$@"
+ set -- apache2-foreground "$@"
fi
-exec "$@"
+# Set name of installation if set
+if [[ -n "$STUDIP_NAME" ]]; then
+ echo "Setting installation name"
+ php "$STUDIP/cli/studip" config:set UNI_NAME_CLEAN "$STUDIP_NAME"
+fi
+exec "$@"